Page MenuHomePhabricator

MediaWiki installer message config-install-manual-tables-exist missing
Closed, ResolvedPublic

Description

The MediaWiki installer outputs the message config-install-manual-tables-exist (defined here; tangentially, that line should be preceded by a comment listing the possible message keys) when the tables already exist; however, the message is not defined.

Event Timeline

Tgr created this task.Jul 13 2020, 12:39 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 13 2020, 12:39 AM
Tgr updated the task description. (Show Details)Jul 13 2020, 12:45 AM

The message config-install-tables-exist does exist, so I wonder why $stepName now has "manual" in it.

Ammarpad added a subscriber: Ammarpad.EditedJul 13 2020, 12:02 PM

The message config-install-tables-exist does exist, so I wonder why $stepName now has "manual" in it.

That's another step introduced in 11f241589bc6.

The patch defined the keys actually, but the $stepName variable was put in wrong place leading to non-existing message.

Change 615802 had a related patch set uploaded (by 星耀晨曦; owner: 星耀晨曦):
[mediawiki/core@master] Installer: Fix mismatched i18n key names

https://gerrit.wikimedia.org/r/615802

RazeSoldier added a comment.EditedJul 23 2020, 5:56 PM

From description:
tangentially, that line should be preceded by a comment listing the possible message keys

Should I write a comment before the output to list the possible i18n keys?

Change 615802 merged by jenkins-bot:
[mediawiki/core@master] Installer: Fix mismatched i18n key names

https://gerrit.wikimedia.org/r/615802

Change 615863 had a related patch set uploaded (by 星耀晨曦; owner: 星耀晨曦):
[mediawiki/core@REL1_35] Installer: Fix mismatched i18n key names

https://gerrit.wikimedia.org/r/615863

Change 615863 merged by jenkins-bot:
[mediawiki/core@REL1_35] Installer: Fix mismatched i18n key names

https://gerrit.wikimedia.org/r/615863

Legoktm closed this task as Resolved.Jul 24 2020, 6:04 AM